[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-merchant] branch master updated: improve Debian package
From: |
gnunet |
Subject: |
[taler-merchant] branch master updated: improve Debian package |
Date: |
Sat, 09 Sep 2023 15:03:28 +0200 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository merchant.
The following commit(s) were added to refs/heads/master by this push:
new 6748cd08 improve Debian package
6748cd08 is described below
commit 6748cd080de49a51923a31ba15c8c67eadf5122f
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Sep 9 15:03:25 2023 +0200
improve Debian package
---
debian/taler-merchant.postinst | 8 +++-----
debian/taler-merchant.postrm | 29 +++++++++++++++++++++++++++++
2 files changed, 32 insertions(+), 5 deletions(-)
diff --git a/debian/taler-merchant.postinst b/debian/taler-merchant.postinst
index 73c272bb..8f39eaf8 100644
--- a/debian/taler-merchant.postinst
+++ b/debian/taler-merchant.postinst
@@ -32,11 +32,9 @@ configure)
adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home
${TALER_HOME} ${_USERNAME}
fi
- if ! dpkg-statoverride --list /etc/taler/secrets/merchant-db.secret.conf
>/dev/null 2>&1; then
- dpkg-statoverride --add --update \
- taler-merchant-httpd root 460 \
- /etc/taler/secrets/merchant-db.secret.conf
- fi
+ dpkg-statoverride --add --update \
+ taler-merchant-httpd root 460 \
+ /etc/taler/secrets/merchant-db.secret.conf
;;
diff --git a/debian/taler-merchant.postrm b/debian/taler-merchant.postrm
new file mode 100644
index 00000000..693460ef
--- /dev/null
+++ b/debian/taler-merchant.postrm
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+_USERNAME=taler-merchant-httpd
+
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+case "${1}" in
+purge)
+ dpkg-statoverride --remove \
+ /etc/taler/secrets/merchant-db.secret.conf || true
+ deluser --quiet --system ${_USERNAME} || true
+ ;;
+
+remove | upgrade | failed-upgrade | abort-install | abort-upgrade | disappear)
+ ;;
+*)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-merchant] branch master updated: improve Debian package,
gnunet <=